#!/usr/bin/bash

sleep 5;

API='X-Yandex-API-Key: eb1fhh42-6x86-4fac-dbly-fbcb567a5982';

URL='https://api.weather.yandex.ru/v1/informers?lat=43.623640&lon=51.213501';

curl -H "$API"  "$URL"  > ~/weather/full.txt;

grep -Pom1 '(?s)((?<="fact":{)(.*?)(?=(,"forecast")))' ~/weather/full.txt > ~/weather/fact.txt;

icon=$(grep -Pom1 '(?s)((?<="icon":")(.*?)(?=(","condition")))' ~/weather/fact.txt);

curl -O https://yastatic.net/weather/i/icons/blueye/color/svg/"$icon".svg;

inkscape --export-type=png -w 75 -h 75 "$icon".svg;

mv "$icon".png ~/weather/icon/wicon.png;

rm "$icon".svg;


